RuntimeResourceReader (gCube GIS Viewer Widget 2.5.0-SNAPSHOT API)
Date: 2015-07-21

org.gcube.portlets.user.gcubegisviewer.server.readers

## Class RuntimeResourceReader

- java.lang.Object
- - org.gcube.portlets.user.gcubegisviewer.server.readers.RuntimeResourceReader

-     public class RuntimeResourceReader
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `logger`
    `List<ServiceParameter>` | `serviceParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeResourceReader(String scope, String resourceName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getResourceName()`
    `String` | `getServiceBaseURI()`
    `List<ServiceParameter>` | `getServiceParameters()`
    `protected String` | `readResource(String scope, String resourceName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.slf4j.Logger logger

    - #### serviceParameters

          public List<ServiceParameter> serviceParameters

  - ### Constructor Detail

    - #### RuntimeResourceReader

          public RuntimeResourceReader(String scope,
                               String resourceName)
                                throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### readResource

          protected String readResource(String scope,
                            String resourceName)
                                 throws Exception

      Parameters:
        `scope` -
      Returns:
        the application URI
      Throws:
        `Exception`

    - #### getResourceName

          public String getResourceName()

    - #### getServiceParameters

          public List<ServiceParameter> getServiceParameters()

    - #### getServiceBaseURI

          public String getServiceBaseURI()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All Rights Reserved.